<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist="ead3-saltstack" name="/etc/ead3/salt/minion"/>
        <file filelist="ead3-saltstack" name="/etc/ead3/salt/minion.d/smtp.conf" source="minion.smtp.conf" mkdir='True'/>
        <file filelist="ead3-saltstack" name="/etc/ead3/salt/master"/>
        <file filelist="ead3-saltstack" name="/etc/ead3/salt/master.d/cherry.conf" mkdir='True'/>
        <file filelist="ead3-saltstack" name="/etc/ead3/salt/master.d/ext_auth.conf" mkdir='True'/>
        <service servicelist="ead3-saltstack">salt-api-ead3</service>
        <service servicelist="ead3-saltstack">salt-master-ead3</service>
        <service servicelist="ead3-saltstack">salt-minion-ead3</service>
    </files>

    <variables>
        <family name="services">
            <variable name="activer_saltstack_ead3" type="oui/non" description="Activer SaltStack pour l'EAD3">
                <value>oui</value>
            </variable>
        </family>
        <family name="EAD3" icon="cogs" mode="expert">
            <!-- FIXME domain_strict -->
            <variable name="minion_domain_name" description="Nom de domaine du minion" type="string">
                <value>local</value>
            </variable>
            <variable name="salt_api_port" description="Port d'accès à l'API SaltStack" type="port">
                <value>8880</value>
            </variable>
        </family>

        <separators>
            <separator name='minion_domain_name'>Personnalisation de la configuration SaltStack</separator>
        </separators>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_saltstack_ead3'>
            <param>non</param>
            <target type='servicelist'>ead3-saltstack</target>
            <target type='filelist'>ead3-saltstack</target>
            <target type='family'>EAD3</target>
        </condition>
    </constraints>

    <help>
        <family name="EAD3">Personnalisation de la configuration de l'EAD3</family>
        <variable name="activer_saltstack_ead3">SaltStack est un logiciel de gestion de configuration écrit en Python</variable>
        <variable name="minion_domain_name">La machine cliente SaltStack est appelé « minion »</variable>
    </help>

</creole>

